Summary: 	The libglade library for loading user interfaces.
Name: 		libglade2
Version: 	2.6.0
Release: 	1
Copyright: 	LGPL
Group: 		Libraries
Source0: 	libglade-%{version}.tar.bz2
URL: 		http://ftp.acc.umu.se/pub/GNOME/sources/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.

%package 	devel
Summary: 	The files needed for libglade application development.
Group: 		Development

%description 	devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%prep
%setup -q -n libglade-%{version}

%build
%configure --disable-gtk-doc --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -r $RPM_BUILD_ROOT%{_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_datadir}/xml

%files devel
%defattr(-, root, root)
%{_bindir}
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_includedir}
